--- a/www/cgi-bin/foo.py
+++ b/www/cgi-bin/foo.py
@@ -1,6 +1,4 @@
-#!/usr/bin/env python
-
-from __future__ import print_function
+#!/usr/bin/env python3
 
 import cgi
 
--- a/www/cgi.yaws
+++ b/www/cgi.yaws
@@ -52,9 +52,7 @@
 <div class="box">        
       <verbatim>
 
-#!/usr/bin/env python
-
-from __future__ import print_function
+#!/usr/bin/env python3
 
 import cgi
 
--- a/Makefile.am
+++ b/Makefile.am
@@ -114,7 +114,7 @@
 dialyzer: all yaws.plt
 	$(AM_V_at)$(DIALYZER) -q --plt yaws.plt -r ebin | \
 	    sed -e :a -e '$$!N;s/\n  *//;ta' -e 'P;D' > dialyzer_warnings || true
-	$(AM_V_at)python dialyzer_checker
+	$(AM_V_at)python3 dialyzer_checker
 
 dist-hook: clean  cleantest cleanapps
 	$(AM_V_at)for a in $(APPDIRS); do			\
--- a/dialyzer_checker
+++ b/dialyzer_checker
@@ -1,5 +1,5 @@
-#!/usr/bin/env python
-from __future__ import absolute_import, division, print_function
+#!/usr/bin/env python3
+
 import os
 import re
 import sys
